# H245_GenericCapability Class Reference

`#include <h245.h>`

Inheritance diagram for H245_GenericCapability:

List of all members.

## Public Types

enum | OptionalFields { e_maxBitRate, e_collapsing, e_nonCollapsing, e_nonCollapsingRaw, e_transport }

## Public Member Functions

| H245_GenericCapability (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H245_CapabilityIdentifier | m_capabilityIdentifier
PASN_Integer | m_maxBitRate
H245_ArrayOf_GenericParameter | m_collapsing
H245_ArrayOf_GenericParameter | m_nonCollapsing
PASN_OctetString | m_nonCollapsingRaw
H245_DataProtocolCapability | m_transport

## Member Enumeration Documentation

enum H245_GenericCapability::OptionalFields

Enumerator:

  e_maxBitRate |
  e_collapsing |
  e_nonCollapsing |
  e_nonCollapsingRaw |
  e_transport |

## Constructor & Destructor Documentation

H245_GenericCapability::H245_GenericCapability | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H245_GenericCapability::GetDataLength | ( |  | ) | const

PBoolean H245_GenericCapability::Decode | ( | PASN_Stream & | strm | ) |

void H245_GenericCapability::Encode | ( | PASN_Stream & | strm | ) | const

void H245_GenericCapability::PrintOn | ( | ostream & | strm | ) | const

Comparison H245_GenericCapability::Compare | ( | const PObject & | obj | ) | const

PObject* H245_GenericCapability::Clone | ( |  | ) | const

## Member Data Documentation

H245_CapabilityIdentifier H245_GenericCapability::m_capabilityIdentifier

PASN_Integer H245_GenericCapability::m_maxBitRate

H245_ArrayOf_GenericParameter H245_GenericCapability::m_collapsing

H245_ArrayOf_GenericParameter H245_GenericCapability::m_nonCollapsing

PASN_OctetString H245_GenericCapability::m_nonCollapsingRaw

H245_DataProtocolCapability H245_GenericCapability::m_transport

The documentation for this class was generated from the following file:

- h245.h